org.apache.ignite.internal.visor.cache

## Class VisorCacheV2

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCache
  - - org.apache.ignite.internal.visor.cache.VisorCacheV2

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorCacheV3

    public class VisorCacheV2
    extends VisorCache

Data transfer object for `IgniteCache`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheV2()`

### Method Summary

Methods
`VisorCache` `from(IgniteEx ignite, String cacheName, int sample)`
`VisorCache` `history()`
`protected VisorCache` `initHistory(VisorCache c)` Fill values that should be stored in history;
`boolean` `near()`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCache

`backupPartitions, dhtSize, dynamicDeploymentId, estimateMemorySize, indexesSize, memorySize, metrics, mode, name, name, nearSize, offHeapAllocatedSize, offHeapEntriesCount, partitionMap, partitions, primaryPartitions, primarySize, size, swapKeys, swapSize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheV2

    public VisorCacheV2()

### Method Detail

#### from

    public VisorCache from(IgniteEx ignite,
                  String cacheName,
                  int sample)
                    throws IgniteCheckedException

Overrides:
  `from` in class `VisorCache`
Parameters:
  `ignite` - Grid.
  `cacheName` - Cache name.
  `sample` - Sample size.
Returns:
  Data transfer object for given cache.
Throws:
  `IgniteCheckedException` - If failed to create data transfer object.

#### initHistory

    protected VisorCache initHistory(VisorCache c)

Fill values that should be stored in history;

Overrides:
  `initHistory` in class `VisorCache`
Parameters:
  `c` - Source cache.
Returns:
  Cache.

#### history

    public VisorCache history()

Overrides:
  `history` in class `VisorCache`
Returns:
  New instance suitable to store in history.

#### near

    public boolean near()

Returns:
  `true` if cache has near cache.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016